Open CASCADE Technology: TColStd_Array1OfListOfInteger Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TColStd_Array1OfListOfInteger Class Reference

`#include <TColStd_Array1OfListOfInteger.hxx>`

## Public Member Functions
| TColStd_Array1OfListOfInteger (const Standard_Integer Low, const Standard_Integer Up)
| TColStd_Array1OfListOfInteger (const TColStd_ListOfInteger &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const TColStd_ListOfInteger &V)
void | Destroy ()
| ~TColStd_Array1OfListOfInteger ()
Standard_Boolean | IsAllocated () const
const TColStd_Array1OfListOfInteger & | Assign (const TColStd_Array1OfListOfInteger &Other)
const TColStd_Array1OfListOfInteger & | operator= (const TColStd_Array1OfListOfInteger &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const TColStd_ListOfInteger &Value)
const TColStd_ListOfInteger & | Value (const Standard_Integer Index) const
const TColStd_ListOfInteger & | operator() (const Standard_Integer Index) const
TColStd_ListOfInteger & | ChangeValue (const Standard_Integer Index)
TColStd_ListOfInteger & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

TColStd_Array1OfListOfInteger::TColStd_Array1OfListOfInteger | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

TColStd_Array1OfListOfInteger::TColStd_Array1OfListOfInteger | ( | const TColStd_ListOfInteger & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

TColStd_Array1OfListOfInteger::~TColStd_Array1OfListOfInteger | ( |  | ) |
| inline

## Member Function Documentation

const TColStd_Array1OfListOfInteger& TColStd_Array1OfListOfInteger::Assign | ( | const TColStd_Array1OfListOfInteger & | Other | ) |

TColStd_ListOfInteger& TColStd_Array1OfListOfInteger::ChangeValue | ( | const Standard_Integer | Index | ) |

void TColStd_Array1OfListOfInteger::Destroy | ( |  | ) |

void TColStd_Array1OfListOfInteger::Init | ( | const TColStd_ListOfInteger & | V | ) |

Standard_Boolean TColStd_Array1OfListOfInteger::IsAllocated | ( |  | ) | const

Standard_Integer TColStd_Array1OfListOfInteger::Length | ( |  | ) | const

Standard_Integer TColStd_Array1OfListOfInteger::Lower | ( |  | ) | const

const TColStd_ListOfInteger& TColStd_Array1OfListOfInteger::operator() | ( | const Standard_Integer | Index | ) | const
| inline

TColStd_ListOfInteger& TColStd_Array1OfListOfInteger::operator() | ( | const Standard_Integer | Index | ) |
| inline

const TColStd_Array1OfListOfInteger& TColStd_Array1OfListOfInteger::operator= | ( | const TColStd_Array1OfListOfInteger & | Other | ) |
| inline

void TColStd_Array1OfListOfInteger::SetValue | ( | const Standard_Integer | Index,
|  | const TColStd_ListOfInteger & | Value
| ) |  |

Standard_Integer TColStd_Array1OfListOfInteger::Upper | ( |  | ) | const

const TColStd_ListOfInteger& TColStd_Array1OfListOfInteger::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- TColStd_Array1OfListOfInteger.hxx